Package org.python.util

# Class NameUnionAntType

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.types.DataType
org.apache.tools.ant.types.resources.BaseResourceCollectionContainer
org.python.util.NameUnionAntType

All Implemented Interfaces:
  `Cloneable`, `Iterable<org.apache.tools.ant.types.Resource>`, `org.apache.tools.ant.types.ResourceCollection`, `org.apache.tools.ant.types.resources.AppendableResourceCollection`

public class NameUnionAntType extends org.apache.tools.ant.types.resources.BaseResourceCollectionContainer
Unions several resource collections by the name of their contained resources.

## Constructor Summary

Constructors
Constructor
Description
`NameUnionAntType()`

## Method Summary

### Methods inherited from class org.apache.tools.ant.types.resources.BaseResourceCollectionContainer

`add, addAll, clear, clone, getResourceCollections, isCache, isFilesystemOnly, iterator, setCache, size, toString`

### Methods inherited from class org.apache.tools.ant.types.DataType

`getRefid, invokeCircularReferenceCheck, isReference, pushAndInvokeCircularReferenceCheck, setRefid`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.apache.tools.ant.types.ResourceCollection

`isEmpty, stream`

## Constructor Details

### NameUnionAntType

public NameUnionAntType()